document.getElementById('income-calculator').addEventListener('submit', function(e) {
  e.preventDefault();
  
  const rent = parseFloat(document.getElementById('rent').value);
  const rooms = parseInt(document.getElementById('rooms').value);
  
  if (isNaN(rent) || isNaN(rooms)) {
    alert('Please enter valid numbers');
    return;
  }
  
  const potentialIncome = rent * rooms;
  const resultElement = document.getElementById('result');
  resultElement.innerHTML = `
    <h3>Potential Monthly Income:</h3>
    <p>$${potentialIncome.toLocaleString()}</p>
    <p>Based on renting ${rooms} room(s) at $${rent.toLocaleString()} each</p>
  `;
});